summaryrefslogtreecommitdiffstats
path: root/packaging/rpm/rpmbuild.sh
diff options
context:
space:
mode:
authorEd Warnicke <eaw@cisco.com>2016-06-15 16:27:53 +0000
committerDave Wallace <dwallacelf@gmail.com>2016-06-15 16:57:34 +0000
commit2b3285a9316ba766552d4cc92b8eaef3b33ff6f3 (patch)
treebb51157e74a51527b60b2917c2239a51df549285 /packaging/rpm/rpmbuild.sh
parentd46e184662bc2ca83f721d4adb0a7a815acef0a0 (diff)
Added rpm for honeycomb
Change-Id: I2dd2f1bae1c5f0b0232b8e453c3fa8a1761d657d Signed-off-by: Ed Warnicke <eaw@cisco.com>
Diffstat (limited to 'packaging/rpm/rpmbuild.sh')
-rwxr-xr-xpackaging/rpm/rpmbuild.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/packaging/rpm/rpmbuild.sh b/packaging/rpm/rpmbuild.sh
new file mode 100755
index 000000000..b4a0d69ce
--- /dev/null
+++ b/packaging/rpm/rpmbuild.sh
@@ -0,0 +1,10 @@
+#!/bin/bash
+set -e
+DIR=$(dirname $0)
+DIR=$(readlink -f $DIR)
+ZIPDIR=${DIR}/../../v3po/karaf/target/
+ZIPFILE=${ZIPDIR}/v3po-karaf-1.0.0-SNAPSHOT.zip
+mkdir -p ${DIR}/SOURCES/
+cp $ZIPFILE ${DIR}/SOURCES/
+cp ${DIR}/honeycomb.spec ${DIR}/SOURCES/
+rpmbuild -bb --define "_topdir ${DIR}" honeycomb.spec